Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.measurement
Interface ReportFormat

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable, SerializerFactory

All Known Implementing Classes:
  ReportFormatImpl

public interface ReportFormat
extends java.io.Serializable, java.lang.Cloneable, SerializerFactory

This interface represent the format of the measurements reports.

Version:
  0.9, 2002-02-17
Author:
  Stefan Aberg

Field Summary
`static int` | `ASCII` Constant that indicate if the report format is of ASCII type.
`static int` | `ASN1` Constant that indicate if the report format is of ASN1 type.
`static int` | `BINARY` Constant that indicate if the report format is of BINARY type.
`static int` | `XML` Constant that indicate if the report format is of XML type.

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`java.lang.String` | `getOwner()` Get the vendor name or the organization that have defined the format.
`java.lang.String` | `getSpecification()` Returns information about the specification of the report format.
`java.lang.String` | `getTechnology()` Gets the technology area that this report format is used for.
`int` | `getType()` Gets the report format type.
`java.lang.String` | `getVersion()` Get the report format version.
`void` | `setOwner(java.lang.String owner)` Set the vendor name or the organization that have defined the format.
`void` | `setSpecification(java.lang.String spec)` Sets the information about the specification of the report format.
`void` | `setTechnology(java.lang.String tech)` Sets the technology area that this report format is used for.
`void` | `setType(int type)` Sets the report format type.
`void` | `setVersion(java.lang.String version)` Set the report format version.

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Field Detail

### XML

    public static final int XML

  Constant that indicate if the report format is of XML type.

  See Also:
    Constant Field Values

### ASN1

    public static final int ASN1

  Constant that indicate if the report format is of ASN1 type.

  See Also:
    Constant Field Values

### ASCII

    public static final int ASCII

  Constant that indicate if the report format is of ASCII type.

  See Also:
    Constant Field Values

### BINARY

    public static final int BINARY

  Constant that indicate if the report format is of BINARY type.

  See Also:
    Constant Field Values

Method Detail

### clone

    public java.lang.Object clone()

  Deep copy of this instance.

  Returns:
    Object copy of this instance.

### getType

    public int getType()

  Gets the report format type.

  The type of the report format can have one of the following values:

  - XML
  - ASN1
  - ASCII
  - BINARY

  Returns:
    int The report format type.
  See Also:
    `setType(int)`

### setType

    public void setType(int type)
                 throws java.lang.IllegalArgumentException

  Sets the report format type.

  The type of the report format can have one of the following values:

  - XML
  - ASN1
  - ASCII
  - BINARY

  Parameters:
    `type` - The report format type.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `getType()`

### getVersion

    public java.lang.String getVersion()

  Get the report format version.

  Returns:
    String The version of the report format.
  See Also:
    `setVersion(java.lang.String)`

### setVersion

    public void setVersion(java.lang.String version)
                    throws java.lang.IllegalArgumentException

  Set the report format version.

  Parameters:
    `version` - The version of the report format.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `getVersion()`

### getOwner

    public java.lang.String getOwner()

  Get the vendor name or the organization that have defined the format.

  Returns the vendor name or organization name of the report format. For example: if the report format is 3GPP XML or ANS1 format this operation should return "3GPP".

  Returns:
    String The name of the Owner of the report format.
  See Also:
    `setOwner(java.lang.String)`

### setOwner

    public void setOwner(java.lang.String owner)
                  throws java.lang.IllegalArgumentException

  Set the vendor name or the organization that have defined the format.

  Parameters:
    `owner` - The name of the Owner of the report format.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `getOwner()`

### getTechnology

    public java.lang.String getTechnology()

  Gets the technology area that this report format is used for.

  This operation indicates the technology area of the nodes in a measurement report of this report format. For example the operation should return "3G" for 3rd generation networks and "ATM" for a ATM networks.

  The operation can return an empty string if the report format is applicable for many technology areas.

  Returns:
    String The name of the technology.
  See Also:
    `setTechnology(java.lang.String)`

### setTechnology

    public void setTechnology(java.lang.String tech)
                       throws java.lang.IllegalArgumentException

  Sets the technology area that this report format is used for.

  Parameters:
    `tech` - The name of the technology.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `getTechnology()`

### getSpecification

    public java.lang.String getSpecification()

  Returns information about the specification of the report format.

  This operation shall allow the client to get more detailed information on how to parse the report format. For example this operation should return "DOCTYPE MeasDataCollection SYSTEM MeasDataCollection.dtd" if the report format is according to 3GPP XML format.

  If no applicable information is available, then an empty string should be returned.

  Returns:
    String Information on how to parse the report format.
  See Also:
    `setSpecification(java.lang.String)`

### setSpecification

    public void setSpecification(java.lang.String spec)
                          throws java.lang.IllegalArgumentException

  Sets the information about the specification of the report format.

  If no applicable information is available, then an empty string should be set.

  Parameters:
    `spec` - Information on how to parse the report format.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `getSpecification()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD